Subject: Re: [PATCH net-next 02/14] devlink: split out core code

From: Jiri Pirko <[email-masked]>
Date: Wed, 4 Jan 2023 10:50:32 +0100

Wed, Jan 04, 2023 at 05:16:24AM CET, [email-masked] wrote:
>Move core code into a separate file. It's spread around the main
>file which makes refactoring and figuring out how devlink works
>harder.
>
>Move the xarray, all the most core devlink instance code out like
>locking, ref counting, alloc, register, etc. Leave port stuff in
>basic.c, if we want to move port code it'd probably be to its own file.

leftover.c

>
>Rename devlink_netdevice_event() to make it clear that it only touches
>ports (that's the only change which isn't a pure code move).

Did you do any other changes on the move? I believe that for patches
like this that move a lot of code it is beneficial to move the code "as
is". The changes could be done in a separate patches, for the ease of
review purposes. Could you please?